Skip to main content
GET
/
api
/
alerts
cURL
curl -X GET "https://app.cotool.ai/api/alerts" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json"
{
  "alerts": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "displayId": "<string>",
      "organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "organizationName": "<string>",
      "title": "<string>",
      "description": "<string>",
      "source": {},
      "detection": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "agentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>"
      },
      "originAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "originTriggerId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "originRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "originDetectionHitId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "externalRef": "<string>",
      "externalUrl": "<string>",
      "assignedAgentId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "triageRunId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "dedupeKey": "<string>",
      "createdAt": "<string>",
      "updatedAt": "<string>",
      "firstTriagedAt": "<string>",
      "resolvedAt": "<string>",
      "originAgentName": "<string>",
      "assignedAgentName": "<string>"
    }
  ],
  "totalCount": 1
}

Authorizations

Authorization
string
header
required

API Key authentication for programmatic access. Include your API key in the Authorization header as: Bearer your_api_key_here

Query Parameters

limit
integer
default:100

Maximum number of alerts to return per page

Required range: 1 <= x <= 200
offset
integer
default:0

Number of alerts to skip for pagination

Required range: x >= 0
status
string

Comma-separated alert statuses to include

source
string

Comma-separated alert source names to include

severity
string

Comma-separated severities to include

assignedAgentId
string<uuid>

Only include alerts assigned to this response agent

detection
string

Alert detection filter key returned by /api/alerts/filter-options

detectionId
string<uuid>

Only include alerts tied to this Cotool detection

originAgentId
string<uuid>

Only include alerts created by this origin agent

originDetectionHitId
string<uuid>

Only include the alert created from this detection hit

q
string

Free-text search over alert title, description, detection name, and origin references

Required string length: 1 - 500

Response

Successful response

alerts
object[]
required
totalCount
integer
required

Total number of matching alerts for pagination

Required range: x >= 0